NetworkManager-l2tp-1.2.8-lp150.2.20.x86_64.rpm


Advertisement

Description

NetworkManager-l2tp - NetworkManager VPN support for L2TP and L2TP/IPsec

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name NetworkManager-l2tp
Package version 1.2.8
Package release lp150.2.20
Package architecture x86_64
Package type rpm
Installed size 110.20 KB
Download size 45.33 KB
Official Mirror widehat.opensuse.org
This package contains software for integrating L2TP and L2TP/IPsec
(L2TP over IPsec) VPN support with NetworkManager.

Alternatives

Package Version Architecture Repository
NetworkManager-l2tp - - -

Requires

Name Value
NetworkManager >= 1.2.0
libc.so.6(GLIBC_2.4)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libnm.so.0()(64bit) -
libnm.so.0(libnm_1_0_0)(64bit) -
libnm.so.0(libnm_1_2_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
ppp = 2.4.7
xl2tpd -

Provides

Name Value
NetworkManager-l2tp = 1.2.8-lp150.2.20
NetworkManager-l2tp(x86-64) = 1.2.8-lp150.2.20
libnm-vpn-plugin-l2tp.so()(64bit) -

Download

Type URL
Binary Package NetworkManager-l2tp-1.2.8-lp150.2.20.x86_64.rpm
Source Package NetworkManager-l2tp-1.2.8-lp150.2.20.src.rpm

Install Howto

Install NetworkManager-l2tp rpm package:

# zypper install NetworkManager-l2tp

Files

Path
/etc/dbus-1/system.d/nm-l2tp-service.conf
/usr/lib/nm-l2tp-service
/usr/lib/NetworkManager/
/usr/lib/NetworkManager/VPN/nm-l2tp-service.name
/usr/lib64/NetworkManager/libnm-vpn-plugin-l2tp.so
/usr/lib64/pppd/2.4.7/nm-l2tp-pppd-plugin.so
/usr/share/doc/packages/NetworkManager-l2tp/NEWS
/usr/share/doc/packages/NetworkManager-l2tp/README.md

Changelog

2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-08-12 - doug@uq.edu.au
- Update to version 1.2.8:
* Updated translations.
* Stops strongSwan service when a connection cannot be
established.
- Changes from version 1.2.6:
* Prefer building against stable libsecret API.
* If L2TP port 1701 is already in use, no longer writes
"leftprotoport=udp/l2tp" (which is equivalent to
"leftprotoport=udp/1701") to the ipsec config file. This was
done to ensures L2TP is encapsulated in IPsec.
- Changes from version 1.2.4:
* Split libnm-vpn-plugin-pptp.so into a GTK-free core plugin
usable by nmcli and a UI plugin for nm-applet and gnome
components.
- Changes from version 1.2.2:
* runtime test for strongwan or libreswan no longer performed if
IPsec tickbox not ticked.
- Changes from version 1.2.0:
* NetworkManager 1.1.x and 1.2.0 support
- Replace pkgconfig(libsecret-unstable) for pkgconfig(libsecret-1)
BuildRequires following upstreams changes.
- Introduce GTK-free VPN plugin library to base package.
2017-07-30 - doug@uq.edu.au
- Update to version 1.0.8:
* Updated translations.
* Stops strongSwan service when a connection cannot be
established.
* sets phase 1 (ike) and phase 2 (esp) ciphers for strongswan to
the same as those used in version 1.0.4
- Changes from version 1.0.6:
* If L2TP port 1701 is already in use, no longer writes
"leftprotoport=udp/l2tp" (which is equivalent to
"leftprotoport=udp/1701") to the ipsec config file. This was
done to ensures L2TP is encapsulated in IPsec.
* Uses UUID instead of PID for run-time generated filenames
* No longer temporarily replaces system /etc/ipsec.secrets file
* IPsec rekeying is now possible because the following file
remains for the lifetime of the VPN connection :
/etc/ipsec.d/nm-l2tp-ipsec-UUID.secrets
* Following line is appended to /etc/ipsec.secrets if the include
line is missing:
include /etc/ipsec.d/*.secrets
* Removed IPsec Group Name from user interface
* Added IPsec Phase 1 (ike) & Phase 2 (esp) to user interface.
* New timeout code for IPsec connection up script.
- Changes from version 1.0.4:
* xl2tpd-1.3.7 compatibility fix for unrecognized option 'lock'.
* /usr/sbin/ipsec runtime IPsec stack detection improved so that
Openswan is rejected and not treated the same as openSwan.
* Explictly check strongSwan connection has been established.
- Changes from version 1.0.2:
* runtime test for strongwan or libreswan no longer performed if
IPsec tickbox not ticked.
- Changes from version 1.0.0:
* auth-dialog ported to libnm-gtk's NMAVpnPasswordDialog.
* migrated from deprecated libgnome-keyring to libsecret.
* Requires strongSwan or Libreswan for IPsec support,
no longer works with Openswan.
* Added MTU and MRU setting to PPP settings dialog box.
* IPsec Group Name is now optional in IPsec dialog box.
- Drop icon install: as there is no icon file in the source
anymore, nor is there a .desktop file that can make use of the
icon.
- Drop --disable-more-warnings from configure line: no longer
needed.
- Added %%check section.
- Replaced Requires strongswan with weaker Recommends strongswan.
- Replaced plus characters to recommended asterisk characters in
changes file.
2014-10-28 - dimstar@opensuse.org
- Update to version 0.9.8.7:
* ipsec: missing curly braces led to always false return.
* Updated translations.
2014-07-04 - hillwood@linuxfans.org
- Update to version 0.9.8.6:
* Bugfix: (security) don't start l2tp if IPsec enabled, but
failed to start.
* Bugfix: typo in nm-l2tp-service.name.
* noccp pppd option added.
* Minor locales fixes.
* Require new versions of gtk+ and glib.
2013-10-17 - hillwood@linuxfans.org
- Initial package, version 0.9.8:
* Builds against the GNOME 3.8 versions of GLib and Gtk+.
* Fix undefuned NM_L2TP_LOCALEDIR.
* License file added.
* Minor localization fixes.

See Also

Package Description
NetworkManager-l2tp-gnome-1.2.8-lp150.2.20.x86_64.rpm NetworkManager VPN support for L2TP and L2TP/IPsec
NetworkManager-l2tp-lang-1.2.8-lp150.2.20.noarch.rpm Translations for package NetworkManager-l2tp
NetworkManager-lang-1.10.6-lp150.3.1.noarch.rpm Translations for package NetworkManager
NetworkManager-openconnect-1.2.4-lp150.1.11.x86_64.rpm NetworkManager VPN support for OpenConnect
NetworkManager-openconnect-gnome-1.2.4-lp150.1.11.x86_64.rpm NetworkManager VPN support for OpenConnect
NetworkManager-openconnect-lang-1.2.4-lp150.1.11.noarch.rpm Translations for package NetworkManager-openconnect
NetworkManager-openswan-1.0.8-lp150.2.2.x86_64.rpm NetworkManager VPN support for OpenSWAN IPsec
NetworkManager-openswan-gnome-1.0.8-lp150.2.2.x86_64.rpm NetworkManager VPN support for OpenSWAN IPsec
NetworkManager-openswan-lang-1.0.8-lp150.2.2.noarch.rpm Translations for package NetworkManager-openswan
NetworkManager-openvpn-1.8.2-lp150.2.1.x86_64.rpm NetworkManager VPN support for OpenVPN
NetworkManager-openvpn-gnome-1.8.2-lp150.2.1.x86_64.rpm NetworkManager VPN support for OpenVPN
NetworkManager-openvpn-lang-1.8.2-lp150.2.1.noarch.rpm Translations for package NetworkManager-openvpn
NetworkManager-pptp-1.2.4-lp150.1.7.x86_64.rpm NetworkManager VPN support for PPTP
NetworkManager-pptp-gnome-1.2.4-lp150.1.7.x86_64.rpm NetworkManager VPN support for PPTP
NetworkManager-pptp-lang-1.2.4-lp150.1.7.noarch.rpm Translations for package NetworkManager-pptp
Advertisement
Advertisement